Bug 582101 - yum install xen-libs fails
yum install xen-libs fails
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-14 02:29 EDT by Juhani Olkku
Modified: 2014-01-21 01:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-17 14:31:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Juhani Olkku 2010-04-14 02:29:59 EDT
Description of problem: YUM could not update xen-libs


Version-Release number of selected component (if applicable):


How reproducible:
yum upgrade

Steps to Reproduce:
1.
2.
3.
  
Actual results:
#yum upgrade
Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Upgrade Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
---> Package xen-libs.i386 0:3.0.3-105.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package        Arch       Version               Repository                Size
================================================================================
Updating:
 xen-libs       i386       3.0.3-105.el5         rhel-i386-server-5       157 k

Transaction Summary
================================================================================
Install       0 Package(s)
Upgrade       1 Package(s)

Total size: 157 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
xen-libs is needed by (installed) xen-3.0.3-64.el5.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

or 

# yum install xen-libs
Loaded plugins: rhnplugin, security
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package xen-libs.i386 0:3.0.3-105.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package        Arch       Version               Repository                Size
================================================================================
Updating:
 xen-libs       i386       3.0.3-105.el5         rhel-i386-server-5       157 k

Transaction Summary
================================================================================
Install       0 Package(s)
Upgrade       1 Package(s)

Total size: 157 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
xen-libs is needed by (installed) xen-3.0.3-64.el5.i386
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Expected results:


Additional info:
Comment 1 Juhani Olkku 2010-04-14 02:35:13 EDT
# yum info xen-libs
Loaded plugins: rhnplugin, security
Installed Packages
Name       : xen-libs
Arch       : i386
Version    : 3.0.3
Release    : 94.el5_4.2
Size       : 265 k
Repo       : installed
Summary    : Libraries for Xen tools
URL        : http://www.cl.cam.ac.uk/Research/SRG/netos/xen/index.html
License    : GPLv2+, LGPLv2+
Description: This package contains the libraries needed to run applications to
           : manage Xen virtual machines.

Available Packages
Name       : xen-libs
Arch       : i386
Version    : 3.0.3
Release    : 105.el5
Size       : 157 k
Repo       : rhel-i386-server-5
Summary    : Libraries for Xen tools
License    : GPLv2+, LGPLv2+
Description: This package contains the libraries needed to run applications to
           : manage Xen virtual machines.
Comment 2 James Antill 2010-04-14 10:18:23 EDT
Can you run:

rpm -Va --nofiles --nodigest
Comment 3 Juhani Olkku 2010-04-15 00:25:28 EDT
# rpm -Va --nofiles --nodigest
/var/tmp/rpm-tmp.86643: line 851: IntegrateWithGNOME: command not found
Unsatisfied dependencies for xen-3.0.3-64.el5.i386: xen-libs = 3.0.3-64.el5

# yum install xen-libs
Loaded plugins: rhnplugin, security
Setting up Install Process
Package xen-libs-3.0.3-105.el5.i386 already installed and latest version
Nothing to do
Comment 4 James Antill 2010-04-15 00:40:49 EDT
I think you'll find that rpm has screwed up the provides indexes. Ie.

rpm -q xen-libs
rpm -q --whatprovides xen-libs

...the first will return something, and the second will not. If that's the case run: rpm --rebuilddb
Comment 5 Juhani Olkku 2010-04-15 00:59:04 EDT
Yesterday afternoon RHEL gui popup updates for xen-libs and it managed to install it. I ran commands what you told and here are results

# rpm -q xen-libs
xen-libs-3.0.3-105.el5
# rpm -q --whatprovides xen-libs
xen-libs-3.0.3-105.el5


This did not print any output
# rpm --rebuilddb


Thanks for you support
Comment 6 apoorvbadami 2010-10-10 10:14:36 EDT
Missing Dependency: xen-libs = 3.0.3-105.el5 is needed by package xen-3.0.3-105.el5.i386 (installed)

xen-3.0.3-105.el5.i386 from installed has depsolving problems
  --> Missing Dependency: xen-libs = 3.0.3-105.el5 is needed by package xen-3.0.3-105.el5.i386 (installed)
Error: Missing Dependency: xen-libs = 3.0.3-105.el5 is needed by package xen-3.0.3-105.el5.i386 (installed)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

I hit the same issue. Running 

Linux rhel55test.local 2.6.18-194.el5xen #1 SMP Tue Mar 16 22:08:06 EDT 2010 i686 i686 i386 GNU/Linux
Comment 7 Chris Williams 2012-01-17 14:31:51 EST
It has been some time since this BZ was updated. Closing as NOTABUG. Feel free to open a case with Red Hat Support if this is still an issue.

Note You need to log in before you can comment on or make changes to this bug.